summaryrefslogtreecommitdiffstats
path: root/dvm/764030/testcase
diff options
context:
space:
mode:
Diffstat (limited to 'dvm/764030/testcase')
-rwxr-xr-xdvm/764030/testcase15
1 files changed, 15 insertions, 0 deletions
diff --git a/dvm/764030/testcase b/dvm/764030/testcase
new file mode 100755
index 0000000..6db9aca
--- /dev/null
+++ b/dvm/764030/testcase
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id\
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick1 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster --mode=script volume remove-brick $global_bug_id\
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick1 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick2 \
+ | grep 'Deleting all the bricks of the volume is not allowed' 1>/dev/null
+
+exit $?